Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class RowsetNavigateTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.RowsetNavigateTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RowsetNavigateTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_NAV_FIRST`
`static java.lang.String` | `ACTION_NAV_FIRSTSET`
`static java.lang.String` | `ACTION_NAV_GOTOSET`
`static java.lang.String` | `ACTION_NAV_LAST`
`static java.lang.String` | `ACTION_NAV_LASTSET`
`static java.lang.String` | `ACTION_NAV_NEXT`
`static java.lang.String` | `ACTION_NAV_NEXTSET`
`static java.lang.String` | `ACTION_NAV_PREVIOUS`
`static java.lang.String` | `ACTION_NAV_PREVIOUSSET`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RowsetNavigateTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Process the start tag for this instance.
`void` | `setAction(java.lang.String sAction)`
`void` | `setDatasource(java.lang.String sname)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_NAV_FIRST

    public static final java.lang.String ACTION_NAV_FIRST

  See Also:
    Constant Field Values

### ACTION_NAV_FIRSTSET

    public static final java.lang.String ACTION_NAV_FIRSTSET

  See Also:
    Constant Field Values

### ACTION_NAV_PREVIOUS

    public static final java.lang.String ACTION_NAV_PREVIOUS

  See Also:
    Constant Field Values

### ACTION_NAV_PREVIOUSSET

    public static final java.lang.String ACTION_NAV_PREVIOUSSET

  See Also:
    Constant Field Values

### ACTION_NAV_NEXT

    public static final java.lang.String ACTION_NAV_NEXT

  See Also:
    Constant Field Values

### ACTION_NAV_NEXTSET

    public static final java.lang.String ACTION_NAV_NEXTSET

  See Also:
    Constant Field Values

### ACTION_NAV_LAST

    public static final java.lang.String ACTION_NAV_LAST

  See Also:
    Constant Field Values

### ACTION_NAV_LASTSET

    public static final java.lang.String ACTION_NAV_LASTSET

  See Also:
    Constant Field Values

### ACTION_NAV_GOTOSET

    public static final java.lang.String ACTION_NAV_GOTOSET

  See Also:
    Constant Field Values

Constructor Detail

### RowsetNavigateTag

    public RowsetNavigateTag()

Method Detail

### setDatasource

    public void setDatasource(java.lang.String sname)

### setAction

    public void setAction(java.lang.String sAction)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Returns:
    EVAL_BODY_INCLUDE if the tag wants to process body, SKIP_BODY if it does ont want to process it.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.